Bug 179033 - xchat ignores local setting
xchat ignores local setting
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2006-01-26 14:24 EST by Thomas Canniot
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-12 11:04:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Canniot 2006-01-26 14:24:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
xchat ignores local setting and remains in English.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open xchat

Actual Results:  xchat interface and preference were in English.

Expected Results:  Should be in French.

Additional info:
Comment 1 Rahul Sundaram 2006-02-20 06:33:42 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 2 Josep 2006-04-14 06:30:31 EDT
This bug is still present as of today (2006-04-14) with the system (FC5) fully
It seems that xchat package does not ship the compiled message catalogs
(/usr/share/locale/*/LC_MESSAGES/xchat.mo) except for two locales:


Could it be that the rest of the locales have a problem and they don't build?
Comment 3 Peter Zelezny 2006-05-24 05:25:36 EDT
2.6.0 didn't include many locales, 2.6.1 has a lot more.
Comment 4 Matěj Cepl 2007-01-12 11:04:57 EST
This has been fixed in the later versions -- currently xchat contains 16
languages (including French).

Note You need to log in before you can comment on or make changes to this bug.